using ERP.Core;
using ERP.Framework.Constants;

namespace ERP
{
    public class Program
    {
        public static void Main(string[] args)
        {
            Console.Title = "ERP.Application";
            Console.WriteLine($@"
                                  _____ ____  ____    ____  ____  ____  _     _  ____  ____  _____  _  ____  _     
                                /  __//  __\/  __\  /  _ \/  __\/  __\/ \   / \/   _\/  _ \/__ __\/ \/  _ \/ \  /|
                                |  \  |  \/||  \/|  | / \||  \/||  \/|| |   | ||  /  | / \|  / \  | || / \|| |\ ||
                                |  /_ |    /|  __/__| |-|||  __/|  __/| |_/\| ||  \_ | |-||  | |  | || \_/|| | \||
                                \____\\_/\_\\_/   \/\_/ \|\_/   \_/   \____/\_/\____/\_/ \|  \_/  \_/\____/\_/  \|
                                                                                  
                        -------------------------------------------------------------------------------------
                                      Start Time:  {DateTime.Now.ToString(DateTimeConstant.Date_Long)}");

            var app = WebApplication
                .CreateBuilder(args)
                .InitApplication()
                .Build();

            app.InitConfigure();
            app.Run();

            //var builder = WebApplication.CreateBuilder(args);

            //// Add services to the czxczzxcontainer.

            //builder.Services.AddControllers();
            //// Learn more about configuring Swagger/OpenAPI at https://aka.ms/aspnetcore/swashbuckle
            //builder.Services.AddEndpointsApiExplorer();
            //builder.Services.AddSwaggerGen();

            //var app = builder.Build();

            //// Configure the HTTP request pipeline.
            //if (app.Environment.IsDevelopment())
            //{
            //    app.UseSwagger();
            //    app.UseSwaggerUI();
            //}

            //app.UseHttpsRedirection();

            //app.UseAuthorization();


            //app.MapControllers();

            //app.Run();
        }
    }
}