﻿using System.Resources;

namespace IPL.HRMS.Common.I18n
{
    public class FrameworkI18N
    {
        private static readonly ResourceManager _resourceManager = new ResourceManager(typeof(FrameworkI18N));

        /// <summary>
        /// 必填
        /// </summary>
        public static string NotConnect => GetString("Grpc.NotConnect");

        /// <summary>
        /// 获取对应的I18N消息
        /// </summary>
        /// <param name="name"></param>
        /// <returns></returns>
        public static string GetString(string name)
        {
            return _resourceManager.GetString(name);
        }
    }
}