﻿using Microsoft.Extensions.DependencyInjection;
using ERP.Framework.Cache;
using ERP.Framework.Config;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ERP.Framework.Extensions
{
    public static class CacheExtension
    {
        /// <summary>
        /// 
        /// </summary>
        /// <param name="services"></param>
        /// <param name="config"></param>
        /// <returns></returns>
        public static void AddCache(this IServiceCollection services,RedisConfig config)
        {
            // 内存缓存 如有需要再做处理
            services.AddMemoryCache();

            // 初始化Redis
            RedisHelper.Init(config);
        }
    }
}
